$VAR1 = {
          '_sys_base_no_syms_obf_jam' => {
                                           'comment' => 'No symbol names are changed. Comments are removed, whitespace is jammed. String and integer
constants are obfuscated.This can be used when you don\'t have time to test your code afer
obfuscation at all; the code after obfuscation should work exactly as before obfuscation.',
                                           'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                           'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                           'output' => 'static int error_level=(0x11c2+2082-0x19e0);void log_error(const char*whereStr,
const char*msg){log_common((0x1ad0+207-0x1b9c),whereStr,msg);
}void log_common(int lvl,const char*whereStr,const char*msg){char buf[
(0x156a+2734-0x1848)];time_t currtime=time(NULL);snprintf(buf,sizeof(buf),
"\\x25\\x73\\x3a\\x20\\x6c\\x65\\x76\\x65\\x6c\\x20\\x25\\x64\\x20\\x61\\x74"
"\\x20\\x25\\x73\\x3a\\x20\\x25\\x73",ctime(&currtime),lvl,whereStr,msg);if(lvl>=
error_level)tracelog.write(buf);fulllog.write(buf);}
'
                                         },
          '_sys_base_noobf_nojam' => {
                                       'comment' => 'Only comments are removed, nothing else is changed.',
                                       'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                       'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                       'output' => 'static int error_level = 4; 
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); 
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}

'
                                     },
          '_sys_base_production_shortest_combs' => {
                                                     'comment' => 'Production mode with "combs" mangler for all symbols (turning each symbol into combination
of characters). Comments are removed, whitespace is jammed, strings and integers are mangled too.',
                                                     'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                                     'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                                     'output' => 'static int g1lF4=(0x1684+2625-0x20c1);void zls_R(const char*DI9U1,const char*
I9N5k){fQypt((0x139+8656-0x2306),DI9U1,I9N5k);
}void fQypt(int jcYPq,const char*DI9U1,const char*I9N5k){char kQy2g[
(0x99c+5415-0x16f3)];T6tLr lnZ32=tPnbJ(GWScy);fr2Mc(kQy2g,sizeof(kQy2g),
"\\x25\\x73\\x3a\\x20\\x6c\\x65\\x76\\x65\\x6c\\x20\\x25\\x64\\x20\\x61\\x74"
"\\x20\\x25\\x73\\x3a\\x20\\x25\\x73",AaJDs(&lnZ32),jcYPq,DI9U1,I9N5k);if(jcYPq>=g1lF4)
Xz_15.tB_We(kQy2g);oIk3S.tB_We(kQy2g);}
'
                                                   },
          '_sys_base_debugging' => {
                                     'comment' => 'Whitespaces are not jammed, so line numbers should be same as in original code.
Symbols that will be renamed get <tt>ReplacementFor_</tt> prefix.
Best mode for preparation your code for protection and testing protected output.

',
                                     'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                     'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                     'output' => 'static int ReplacementFor_error_level = 4;  
void ReplacementFor_log_error(const char* ReplacementFor_whereStr,const char* ReplacementFor_msg)
{
    ReplacementFor_log_common(3,ReplacementFor_whereStr,ReplacementFor_msg); 
}
void ReplacementFor_log_common(int ReplacementFor_lvl,const char* ReplacementFor_whereStr,const char* ReplacementFor_msg)
{
    char ReplacementFor_buf[2000];
    ReplacementFor_time_t ReplacementFor_currtime = ReplacementFor_time(ReplacementFor_NULL);
    ReplacementFor_snprintf(ReplacementFor_buf,sizeof(ReplacementFor_buf), "%s: level %d at" 
	" %s: %s",ReplacementFor_ctime(&ReplacementFor_currtime),ReplacementFor_lvl,ReplacementFor_whereStr,ReplacementFor_msg);
    if (ReplacementFor_lvl >= ReplacementFor_error_level)
	ReplacementFor_tracelog.ReplacementFor_write(ReplacementFor_buf);
    ReplacementFor_fulllog.ReplacementFor_write(ReplacementFor_buf);
}

'
                                   },
          '_sys_base_production' => {
                                      'comment' => 'Production mode with md5 mangler for all symbols. Comments are removed, whitespace is
jammed, strings and integers are mangled too.',
                                      'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                      'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                      'output' => 'static int zfafb4b3d80=(0x34a+5301-0x17fb);void z9fe5826ce8(const char*
zce55a28aab,const char*zea4cd01646){za56048cb23((0x17c5+1229-0x1c8f),zce55a28aab
,zea4cd01646);
}void za56048cb23(int z0799d4fdb1,const char*zce55a28aab,const char*zea4cd01646)
{char z1f7dba04b5[(0xb5b+5716-0x19df)];z2d3c89bc7b z2d20ab6c33=z29e46e1f1c(
z0bccbd023f);z614527e6ed(z1f7dba04b5,sizeof(z1f7dba04b5),
"\\x25\\x73\\x3a\\x20\\x6c\\x65\\x76\\x65\\x6c\\x20\\x25\\x64\\x20\\x61\\x74"
"\\x20\\x25\\x73\\x3a\\x20\\x25\\x73",z15c46444a6(&z2d20ab6c33),z0799d4fdb1,zce55a28aab
,zea4cd01646);if(z0799d4fdb1>=zfafb4b3d80)z100e18c7e0.z5d4df4cc70(z1f7dba04b5);
z12226c4176.z5d4df4cc70(z1f7dba04b5);}
'
                                    },
          '_sys_base_debugging_jam' => {
                                         'comment' => 'Whitespaces are jammed. Symbols that will be renamed get <tt>ReplacementFor_</tt> prefix.
Prepare your code for protection using this mode too after testing it protected with
previous mode  to check whether removal of line breaks will
affect your code (it should not!! but it would be easier to detect the problem caused
by newline removal using this preset rather than production presets).',
                                         'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                         'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                         'output' => 'static int ReplacementFor_error_level=4;void ReplacementFor_log_error(const char
*ReplacementFor_whereStr,const char*ReplacementFor_msg){
ReplacementFor_log_common(3,ReplacementFor_whereStr,ReplacementFor_msg);
}void ReplacementFor_log_common(int ReplacementFor_lvl,const char*
ReplacementFor_whereStr,const char*ReplacementFor_msg){char ReplacementFor_buf[
2000];ReplacementFor_time_t ReplacementFor_currtime=ReplacementFor_time(
ReplacementFor_NULL);ReplacementFor_snprintf(ReplacementFor_buf,sizeof(
ReplacementFor_buf),"%s: level %d at"" %s: %s",ReplacementFor_ctime(&
ReplacementFor_currtime),ReplacementFor_lvl,ReplacementFor_whereStr,
ReplacementFor_msg);if(ReplacementFor_lvl>=ReplacementFor_error_level)
ReplacementFor_tracelog.ReplacementFor_write(ReplacementFor_buf);
ReplacementFor_fulllog.ReplacementFor_write(ReplacementFor_buf);}
'
                                       },
          '_sys_base_production_lI' => {
                                         'comment' => 'Production mode with mangler that turns all symbols into names like <tt>IIlIllI</tt>.
Comments are removed, whitespace is jammed, strings and integers are mangled too.',
                                         'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                         'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                         'output' => 'static int llIll=(0x1df9+114-0x1e67);void IlIll(const char*lllll,const char*
Illll){lIlIl((0x12dd+914-0x166c),lllll,Illll);
}void lIlIl(int lIlll,const char*lllll,const char*Illll){char IlIII[
(0x10cc+1821-0x1019)];IIIll IIlIl=llIIl(IlIlI);IlIIl(IlIII,sizeof(IlIII),
"\\x25\\x73\\x3a\\x20\\x6c\\x65\\x76\\x65\\x6c\\x20\\x25\\x64\\x20\\x61\\x74"
"\\x20\\x25\\x73\\x3a\\x20\\x25\\x73",llIlI(&IIlIl),lIlll,lllll,Illll);if(lIlll>=llIll)
lIIll.IIlll(IlIII);lIIII.IIlll(IlIII);}
'
                                       },
          '_sys_base_production_shortest' => {
                                               'comment' => 'All symbols get shortest name possible (though without considering their scope).
Comments are removed, whitespace is jammed, integer and string constants are left as is.
',
                                               'input' => 'static int error_level = 4; /* error level to show alerts for, initialized by some accessor*/
void log_error(const char* whereStr,const char* msg)
{
    log_common(3,whereStr,msg); //call common function
}
void log_common(int lvl,const char* whereStr,const char* msg)
{
    char buf[2000];
    time_t currtime = time(NULL);
    snprintf(buf,sizeof(buf), "%s: level %d at" 
	" %s: %s",ctime(&currtime),lvl,whereStr,msg);
    if (lvl >= error_level)
	tracelog.write(buf);
    fulllog.write(buf);
}
',
                                               'comment_input' => 'This is a trivial piece of C++  with 1 global var, 2 functions that refer to it and
have local variables or parameters of the same name.',
                                               'output' => 'static int d=4;void g(const char*M,const char*V){k(3,M,V);
}void k(int X,const char*M,const char*V){char T[2000];x f=E(F);o(T,sizeof(T),
"%s: level %d at"" %s: %s",v(&f),X,M,V);if(X>=d)n.c(T);p.c(T);}
'
                                             },
          'aux' => {}
        };
